if (nchar(installed.packages()[,'Package']['Cairo'])==5) { 
  library("Cairo"); 
  if (Cairo.capabilities()['png']) { 
    CairoPNG("plot.png") 
  } else { 
    pdf("plot.pdf") }
  } else { pdf("plot.pdf") 
}

x = c(30, 35, 40, 45, 50, 55, 60)
u = c(5500,8668,11679,14245,16284,17858,19069)
v = c(4776,6439,7378,7711,7757,7712,7656)
w = c(2587,3036,3440,3623,3732,3737,3687)

plot(x, u,pch=3,type="b", xlab="Efficiency (in %)", ylab="MC Error of Total Value (in EUR)",ylim=c(0, 25000), main="4096 Samples")
points(x,v,pch=5, type="b")
points(x,w,pch=0, type="b")
legend(x=31,y=25000,legend=c("Monte-Carlo", "Antithetic Sampling", "Quasi Monte-Carlo + Brownian Bridge"),pch=c(3,5,0))

dev.off()

